- Qt 5.0
- Qt 5.0.0 Reference Documentation

# EventOccurrence QML Type

The EventOccurrence element provides an occurrence of an event. More...

Import Statement: | import QtOrganizer 5.0

- List of all members, including inherited members

## Properties

- allDay : bool
- endDateTime : date
- location : string
- originalDate : date
- parentId : int
- priority : enumeration
- startDateTime : date

## Signals

- onItemChanged()

## Detailed Description

See also OrganizerItem, Event, Journal, Todo, TodoOccurrence, Note, and QOrganizerEventOccurrence.

## Property Documentation

allDay : bool

This property indicates whether the time-of-day component of the event occurrence's start date-time or end date-time is insignificant. If allDay is true, the time-of-day component is considered insignificant, and the event occurrence will be an all-day item.

endDateTime : date

This property holds the date time at which the event occurrence ends.

location : string

This property holds the label of the location at which the event occurrence is held.

originalDate : date

This property holds the date at which the occurrence was originally going to occur.

parentId : int

This property holds the id of the event which is this occurrence's parent.

priority : enumeration

This property holds the priority of the event occurrence. The value can be one of:

- Priority.Unknown
- Priority.Highest
- Priority.ExtremelyHigh
- Priority.VeryHigh
- Priority.High
- Priority.Medium
- Priority.Low
- Priority.VeryLow
- Priority.ExtremelyLow
- Priority.Lowest

startDateTime : date

This property holds the start date time of the event occurrence.

## Signal Documentation

onItemChanged()

Note: The corresponding handler is `onOnItemChanged`.

See also OrganizerItem::onItemChanged.